GroovyAwareJoinedSubclassEntityPersister (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.persister.entity
[Java] Class GroovyAwareJoinedSubclassEntityPersister

    java.lang.Object
      org.hibernate.persister.entity.AbstractEntityPersister
          org.hibernate.persister.entity.JoinedSubclassEntityPersister
              org.codehaus.groovy.grails.orm.hibernate.persister.entity.GroovyAwareJoinedSubclassEntityPersister

    public class GroovyAwareJoinedSubclassEntityPersister
    extends org.hibernate.persister.entity.JoinedSubclassEntityPersister

A customized EntityPersisteer that creates proxies valid for use with Groovy.

Authors:
  Graeme Rocher

Since:
  1.1.1

Field Summary

Fields inherited from class org.hibernate.persister.entity.JoinedSubclassEntityPersister
ENTITY_CLASS, ROWID_ALIAS, ENTITY_ID, UNFETCHED_PROPERTY

Fields inherited from class org.hibernate.persister.entity.AbstractEntityPersister
ENTITY_CLASS, ROWID_ALIAS, ENTITY_ID, UNFETCHED_PROPERTY

Constructor Summary
`GroovyAwareJoinedSubclassEntityPersister(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.cache.access.EntityRegionAccessStrategy cacheAccessStrategy, org.hibernate.engine.SessionFactoryImplementor factory, org.hibernate.engine.Mapping mapping)`

Method Summary
`java.lang.Object` | `createProxy(java.io.Serializable id, org.hibernate.engine.SessionImplementor session)`

Methods inherited from class org.hibernate.persister.entity.JoinedSubclassEntityPersister
org.hibernate.persister.entity.JoinedSubclassEntityPersister#getTableName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDiscriminatorType(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDiscriminatorSQLValue(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassForDiscriminatorValue(java.lang.Object), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertySpaces(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#fromTableFragment(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#filterFragment(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyTableName(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#addDiscriminatorToSelect(org.hibernate.sql.SelectFragment, java.lang.String, java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getTableSpan(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassTableName(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassTableSpan(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyTableName(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isMultiTable(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getConstraintOrderedTableNameClosure(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getContraintOrderedTableKeyColumnClosure(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierColumnNames(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierColumnReaders(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierColumnReaderTemplates(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getRootTableName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getRootTableAlias(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#toColumns(java.lang.String, java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyDeclarer(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#generateFilterConditionAlias(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#createProxy(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#toString(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isInstance(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifier(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifier(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isTransient(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#toType(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getEntityName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getFactory(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isAbstract(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isInherited(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getType(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#delete(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#insert([Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#insert(java.io.Serializable, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#update(java.io.Serializable, [Ljava.lang.Object;, [I, boolean, [Ljava.lang.Object;, java.lang.Object, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getVersion(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyType(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#instantiate(java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#instantiate(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasSubselectLoadableCollections(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getMappedClass(org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasSubclasses(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasIdentifierProperty(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isPolymorphic(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isExplicitPolymorphism(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getTemporaryIdTableName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getTemporaryIdTableDDL(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isLazyPropertiesCacheable(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierGenerator(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDiscriminatorColumnName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDiscriminatorColumnReaders(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDiscriminatorColumnReaderTemplate(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDiscriminatorAlias(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#filterFragment(java.lang.String, java.util.Map), org.hibernate.persister.entity.JoinedSubclassEntityPersister#oneToManyFilterFragment(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyTableNumber(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasSequentialSelect(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isInstrumented(org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getEntityMetamodel(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isSubclassEntityName(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getRootTableKeyColumnNames(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasRowId(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#initializeLazyProperty(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isBatchable(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getQuerySpaces(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isBatchLoadable(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierAliases(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getVersionColumnName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isCacheInvalidationRequired(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#selectFragment(org.hibernate.persister.entity.Joinable, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.JoinedSubclassEntityPersister#selectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyAliases(java.lang.String, int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#identifierSelectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#propertySelectFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.JoinedSubclassEntityPersister#propertySelectFragmentFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getDatabaseSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyUniqueness(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#forceVersionIncrement(java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getCurrentVersion(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getRootTableIdentifierColumnNames(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#toColumns(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#toColumns(java.lang.String, int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyColumnNames(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getTypeDiscriminatorMetadata(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyColumnWriters(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getCascadeStyle(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyType(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyName(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#countSubclassProperties(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyColumnNames(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isDefinedOnSubclass(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyColumnReaderClosure(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyColumnReaderTemplateClosure(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassColumnReaderTemplateClosure(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassPropertyColumnAliases(java.lang.String, java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#loadByUniqueKey(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyIndex(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentitySelectString(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSelectByUniqueKeyString(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#fromJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.JoinedSubclassEntityPersister#whereJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.JoinedSubclassEntityPersister#registerAffectingFetchProfile(java.lang.String), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isSubclassPropertyNullable(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#findDirty([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#findModified([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyUpdateability(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasCache(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getCacheAccessStrategy(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getCacheEntryStructure(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getVersionComparator(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getEntityType(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasCascades(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getVersionType(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getVersionProperty(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isIdentifierAssignedByInsert(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasLazyProperties(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#afterReassociate(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasCollections(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasMutableProperties(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasProxy(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getRootEntityName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#canExtractIdOutOfEntity(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getKeyColumnNames(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isCollection(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#consumesEntityAlias(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#consumesCollectionAlias(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isSelectBeforeUpdateRequired(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasInsertGeneratedProperties(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasUpdateGeneratedProperties(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isVersionPropertyGenerated(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isVersionPropertyInsertable(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#afterInitialize(java.lang.Object, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyTypes(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyLaziness(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyCheckability(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getNonLazyPropertyUpdateability(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyInsertability(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyInsertGenerationInclusions(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyUpdateGenerationInclusions(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyNullability(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyVersionability(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyCascadeStyles(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#implementsLifecycle(org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#implementsValidatable(org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getConcreteProxyClass(org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasUninitializedLazyProperties(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getSubclassEntityPersister(java.lang.Object, org.hibernate.engine.SessionFactoryImplementor, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#guessEntityMode(java.lang.Object), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyValuesToInsert(java.lang.Object, java.util.Map, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#processInsertGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#processUpdateGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getNaturalIdentifierProperties(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getNaturalIdentifierSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hasNaturalIdentifier(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#postInstantiate(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getFetchMode(int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isMutable(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hydrate(java.sql.ResultSet, java.io.Serializable, java.lang.Object, org.hibernate.persister.entity.Loadable, [[Ljava.lang.String;, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.JoinedSubclassEntityPersister#setPropertyValue(java.lang.Object, int, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#setPropertyValue(java.lang.Object, java.lang.String, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#isVersioned(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyNames(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#setPropertyValues(java.lang.Object, [Ljava.lang.Object;, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyValues(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyValue(java.lang.Object, java.lang.String, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getPropertyValue(java.lang.Object, int, org.hibernate.EntityMode), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierPropertyName(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getIdentifierType(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getMappedSuperclass(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getClassMetadata(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#wait(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#wait(long, int), org.hibernate.persister.entity.JoinedSubclassEntityPersister#wait(long), org.hibernate.persister.entity.JoinedSubclassEntityPersister#equals(java.lang.Object), org.hibernate.persister.entity.JoinedSubclassEntityPersister#hashCode(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#getClass(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#notify(), org.hibernate.persister.entity.JoinedSubclassEntityPersister#notifyAll()

Methods inherited from class org.hibernate.persister.entity.AbstractEntityPersister
org.hibernate.persister.entity.AbstractEntityPersister#createProxy(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#toString(), org.hibernate.persister.entity.AbstractEntityPersister#isInstance(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifier(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifier(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getName(), org.hibernate.persister.entity.AbstractEntityPersister#isTransient(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#toType(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getEntityName(), org.hibernate.persister.entity.AbstractEntityPersister#getFactory(), org.hibernate.persister.entity.AbstractEntityPersister#isAbstract(), org.hibernate.persister.entity.AbstractEntityPersister#isInherited(), org.hibernate.persister.entity.AbstractEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getType(), org.hibernate.persister.entity.AbstractEntityPersister#delete(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#insert([Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#insert(java.io.Serializable, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#update(java.io.Serializable, [Ljava.lang.Object;, [I, boolean, [Ljava.lang.Object;, java.lang.Object, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getVersion(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyType(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#instantiate(java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#instantiate(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#hasSubselectLoadableCollections(), org.hibernate.persister.entity.AbstractEntityPersister#getMappedClass(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#hasSubclasses(), org.hibernate.persister.entity.AbstractEntityPersister#hasIdentifierProperty(), org.hibernate.persister.entity.AbstractEntityPersister#isPolymorphic(), org.hibernate.persister.entity.AbstractEntityPersister#isExplicitPolymorphism(), org.hibernate.persister.entity.AbstractEntityPersister#getTemporaryIdTableName(), org.hibernate.persister.entity.AbstractEntityPersister#getTemporaryIdTableDDL(), org.hibernate.persister.entity.AbstractEntityPersister#isLazyPropertiesCacheable(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierGenerator(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorColumnName(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorColumnReaders(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorColumnReaderTemplate(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorAlias(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#filterFragment(java.lang.String, java.util.Map), org.hibernate.persister.entity.AbstractEntityPersister#oneToManyFilterFragment(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyTableNumber(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#hasSequentialSelect(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassTableName(int), org.hibernate.persister.entity.AbstractEntityPersister#isMultiTable(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#isInstrumented(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getEntityMetamodel(), org.hibernate.persister.entity.AbstractEntityPersister#isSubclassEntityName(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableKeyColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#hasRowId(), org.hibernate.persister.entity.AbstractEntityPersister#initializeLazyProperty(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#isBatchable(), org.hibernate.persister.entity.AbstractEntityPersister#getQuerySpaces(), org.hibernate.persister.entity.AbstractEntityPersister#isBatchLoadable(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierColumnReaders(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierColumnReaderTemplates(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierAliases(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getVersionColumnName(), org.hibernate.persister.entity.AbstractEntityPersister#isCacheInvalidationRequired(), org.hibernate.persister.entity.AbstractEntityPersister#selectFragment(org.hibernate.persister.entity.Joinable, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.AbstractEntityPersister#selectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyAliases(java.lang.String, int), org.hibernate.persister.entity.AbstractEntityPersister#identifierSelectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#propertySelectFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.AbstractEntityPersister#propertySelectFragmentFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.AbstractEntityPersister#getDatabaseSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyUniqueness(), org.hibernate.persister.entity.AbstractEntityPersister#forceVersionIncrement(java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getCurrentVersion(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableName(), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableAlias(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableIdentifierColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#toColumns(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#toColumns(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#toColumns(java.lang.String, int), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyColumnNames(int), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyDeclarer(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getTypeDiscriminatorMetadata(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyColumnWriters(int), org.hibernate.persister.entity.AbstractEntityPersister#getCascadeStyle(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyType(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyName(int), org.hibernate.persister.entity.AbstractEntityPersister#countSubclassProperties(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnNames(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#isDefinedOnSubclass(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnReaderClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnReaderTemplateClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassColumnReaderTemplateClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnAliases(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#loadByUniqueKey(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyIndex(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getIdentitySelectString(), org.hibernate.persister.entity.AbstractEntityPersister#getSelectByUniqueKeyString(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#generateFilterConditionAlias(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#fromJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.AbstractEntityPersister#whereJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.AbstractEntityPersister#registerAffectingFetchProfile(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#isSubclassPropertyNullable(int), org.hibernate.persister.entity.AbstractEntityPersister#findDirty([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#findModified([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyUpdateability(), org.hibernate.persister.entity.AbstractEntityPersister#hasCache(), org.hibernate.persister.entity.AbstractEntityPersister#getCacheAccessStrategy(), org.hibernate.persister.entity.AbstractEntityPersister#getCacheEntryStructure(), org.hibernate.persister.entity.AbstractEntityPersister#getVersionComparator(), org.hibernate.persister.entity.AbstractEntityPersister#getEntityType(), org.hibernate.persister.entity.AbstractEntityPersister#hasCascades(), org.hibernate.persister.entity.AbstractEntityPersister#getVersionType(), org.hibernate.persister.entity.AbstractEntityPersister#getVersionProperty(), org.hibernate.persister.entity.AbstractEntityPersister#isIdentifierAssignedByInsert(), org.hibernate.persister.entity.AbstractEntityPersister#hasLazyProperties(), org.hibernate.persister.entity.AbstractEntityPersister#afterReassociate(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#hasCollections(), org.hibernate.persister.entity.AbstractEntityPersister#hasMutableProperties(), org.hibernate.persister.entity.AbstractEntityPersister#hasProxy(), org.hibernate.persister.entity.AbstractEntityPersister#getRootEntityName(), org.hibernate.persister.entity.AbstractEntityPersister#canExtractIdOutOfEntity(), org.hibernate.persister.entity.AbstractEntityPersister#getKeyColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#isCollection(), org.hibernate.persister.entity.AbstractEntityPersister#consumesEntityAlias(), org.hibernate.persister.entity.AbstractEntityPersister#consumesCollectionAlias(), org.hibernate.persister.entity.AbstractEntityPersister#isSelectBeforeUpdateRequired(), org.hibernate.persister.entity.AbstractEntityPersister#hasInsertGeneratedProperties(), org.hibernate.persister.entity.AbstractEntityPersister#hasUpdateGeneratedProperties(), org.hibernate.persister.entity.AbstractEntityPersister#isVersionPropertyGenerated(), org.hibernate.persister.entity.AbstractEntityPersister#isVersionPropertyInsertable(), org.hibernate.persister.entity.AbstractEntityPersister#afterInitialize(java.lang.Object, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyTypes(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyLaziness(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyCheckability(), org.hibernate.persister.entity.AbstractEntityPersister#getNonLazyPropertyUpdateability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyInsertability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyInsertGenerationInclusions(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyUpdateGenerationInclusions(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyNullability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyVersionability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyCascadeStyles(), org.hibernate.persister.entity.AbstractEntityPersister#implementsLifecycle(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#implementsValidatable(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getConcreteProxyClass(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#hasUninitializedLazyProperties(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassEntityPersister(java.lang.Object, org.hibernate.engine.SessionFactoryImplementor, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#guessEntityMode(java.lang.Object), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValuesToInsert(java.lang.Object, java.util.Map, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#processInsertGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#processUpdateGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getNaturalIdentifierProperties(), org.hibernate.persister.entity.AbstractEntityPersister#getNaturalIdentifierSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#hasNaturalIdentifier(), org.hibernate.persister.entity.AbstractEntityPersister#postInstantiate(), org.hibernate.persister.entity.AbstractEntityPersister#getFetchMode(int), org.hibernate.persister.entity.AbstractEntityPersister#isMutable(), org.hibernate.persister.entity.AbstractEntityPersister#hydrate(java.sql.ResultSet, java.io.Serializable, java.lang.Object, org.hibernate.persister.entity.Loadable, [[Ljava.lang.String;, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#setPropertyValue(java.lang.Object, int, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#setPropertyValue(java.lang.Object, java.lang.String, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#isVersioned(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyNames(), org.hibernate.persister.entity.AbstractEntityPersister#setPropertyValues(java.lang.Object, [Ljava.lang.Object;, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValues(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValue(java.lang.Object, java.lang.String, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValue(java.lang.Object, int, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierPropertyName(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierType(), org.hibernate.persister.entity.AbstractEntityPersister#getMappedSuperclass(), org.hibernate.persister.entity.AbstractEntityPersister#getClassMetadata(), org.hibernate.persister.entity.AbstractEntityPersister#wait(), org.hibernate.persister.entity.AbstractEntityPersister#wait(long, int), org.hibernate.persister.entity.AbstractEntityPersister#wait(long), org.hibernate.persister.entity.AbstractEntityPersister#equals(java.lang.Object), org.hibernate.persister.entity.AbstractEntityPersister#hashCode(), org.hibernate.persister.entity.AbstractEntityPersister#getClass(), org.hibernate.persister.entity.AbstractEntityPersister#notify(), org.hibernate.persister.entity.AbstractEntityPersister#notifyAll(), org.hibernate.persister.entity.AbstractEntityPersister#fromTableFragment(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyTableName(int), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyTableName(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorType(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassForDiscriminatorValue(java.lang.Object), org.hibernate.persister.entity.AbstractEntityPersister#getPropertySpaces(), org.hibernate.persister.entity.AbstractEntityPersister#getTableName(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorSQLValue(), org.hibernate.persister.entity.AbstractEntityPersister#getConstraintOrderedTableNameClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getContraintOrderedTableKeyColumnClosure()

Constructor Detail

### GroovyAwareJoinedSubclassEntityPersister

    public GroovyAwareJoinedSubclassEntityPersister(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.cache.access.EntityRegionAccessStrategy cacheAccessStrategy, org.hibernate.engine.SessionFactoryImplementor factory, org.hibernate.engine.Mapping mapping)

Method Detail

### createProxy

    @Override
    public java.lang.Object createProxy(java.io.Serializable id, org.hibernate.engine.SessionImplementor session)

Groovy Documentation